Package be.ehealth.businessconnector.therlink.domain

# Class TherapeuticLink

java.lang.Object
be.ehealth.businessconnector.therlink.domain.TherapeuticLink

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `TherapeuticLinkComplete`, `TherapeuticLinkResponse`

public class TherapeuticLink extends Object implements Serializable
TherapeuticLink.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TherapeuticLink.Builder`
  TherapeuticLink static builder

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TherapeuticLink()`
  `TherapeuticLink(Patient patient, HcParty hcParty, String type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getComment()`
  `Instant`
  `getEndDate()`
  `HcParty`
  `getHcParty()`
  `Patient`
  `getPatient()`
  `Instant`
  `getStartDate()`
  `TherapeuticLinkStatus`
  `getStatus()`
  `String`
  `getType()`
  `int`
  `hashCode()`
  `void`
  `setComment(String comment)`
  `void`
  `setEndDate(Instant endDate)`
  `void`
  `setHcParty(HcParty hcParty)`
  `void`
  `setPatient(Patient patient)`
  `void`
  `setStartDate(Instant startDate)`
  `void`
  `setStatus(TherapeuticLinkStatus status)`
  `void`
  `setType(String type)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TherapeuticLink

    public TherapeuticLink(Patient patient, HcParty hcParty, String type)
    Parameters:
      `patient` -
      `hcParty` -
      `type` -

  - ### TherapeuticLink

    public TherapeuticLink()

- ## Method Details

  - ### getPatient

    public Patient getPatient()
    Returns:
      the patient

  - ### setPatient

    public void setPatient(Patient patient)
    Parameters:
      `patient` - the patient to set

  - ### getHcParty

    public HcParty getHcParty()
    Returns:
      the hcParty

  - ### setHcParty

    public void setHcParty(HcParty hcParty)
    Parameters:
      `hcParty` - the hcParty to set

  - ### getType

    public String getType()
    Returns:
      the type

  - ### setType

    public void setType(String type)
    Parameters:
      `type` - the type to set

  - ### getStartDate

    public Instant getStartDate()
    Returns:
      the startDate

  - ### setStartDate

    public void setStartDate(Instant startDate)
    Parameters:
      `startDate` - the startDate to set

  - ### getEndDate

    public Instant getEndDate()
    Returns:
      the endDate

  - ### setEndDate

    public void setEndDate(Instant endDate)
    Parameters:
      `endDate` - the endDate to set

  - ### getComment

    public String getComment()
    Returns:
      the comment

  - ### setComment

    public void setComment(String comment)
    Parameters:
      `comment` - the comment to set

  - ### getStatus

    public TherapeuticLinkStatus getStatus()
    Returns:
      the status

  - ### setStatus

    public void setStatus(TherapeuticLinkStatus status)
    Parameters:
      `status` - the status to set

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`